﻿var MYAPI = {
	NAME : "MYAPI",
	SERVICE_GUIDE : "serviceGuide",
  NOTICE_POPUP : "noticePopup",
  UPMP_SUCCESS : "success",
  UPMP_FAIL : "fail",
  UPMP_CANCEL : "cancel",
  
	getDeviceInfo : function(callback, errcallback) {
		var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "getDeviceInfo", jsonString,
				callback, errcallback);
	},
	dialTo : function(phoneNumber, callback, errcallback) {
		var jsonString = "{\"phoneNumber\":\"" + phoneNumber + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "dialTo", jsonString,
				callback, errcallback);
	},
	smsTo : function(phoneNumber, contents, callback, errcallback) {
		var jsonString = "{\"phoneNumber\":\"" + phoneNumber
				+ "\", \"contents\":\"" + contents + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "smsTo", jsonString,
				callback, errcallback);
	},
	mailTo : function(addr, title, text, callback, errcallback) {
		var jsonString = "{\"addr\":\"" + addr + "\", \"title\":\"" + title
				+ "\", \"text\":\"" + text + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "mailTo", jsonString,
				callback, errcallback);
	},
	openBrowser : function(url, callback, errcallback) {
		var jsonString = "{\"url\":\"" + url + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "openBrowser", jsonString,
				callback, errcallback);
	},
	showProgress : function(show, callback, errcallback) {
		var jsonString = "{\"show\":\"" + show + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "showProgress", jsonString,
				callback, errcallback);
	},
	datePicker : function(date, callback, errcallback) {
		var jsonString = "{\"date\":\"" + date + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "datePicker", jsonString,
				callback, errcallback);
	},
    setPopupFlag : function(type, hasFlag, callback, errcallback) {
		var jsonString = "{\"type\":\"" + type + "\", \"hasFlag\":\"" + hasFlag + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "setPopupFlag", jsonString,
				callback, errcallback);
	},
	movePage : function(url, callback, errcallback) {
    var jsonString = "{\"url\":\"" + url + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "movePage", jsonString,
				callback, errcallback);
	},
	showAgreement : function(title, url, callback, errcallback) {
		var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "showAgreement", jsonString,
				callback, errcallback);
	},
	setAutoLogin : function(autoLogin, userId, token, callback, errcallback) {
		var jsonString = "{\"autoLogin\":\"" + autoLogin + "\", \"userId\":\"" + userId + "\", \"token\":\"" + token + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "setAutoLogin", jsonString,
				callback, errcallback);
	},
	setScreenId : function(screenId, callback, errcallback) {
		var jsonString = "{\"screenId\":\"" + screenId + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "setScreenId", jsonString,
				callback, errcallback);
	},
	showNotiPopup : function(alertTourPrd, alertCommPrd, callback, errcallback) {
		var jsonString = "{\"alertTourPrd\":\"" + alertTourPrd + "\", \"alertCommPrd\":\"" + alertCommPrd + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "showNotiPopup", jsonString,
				callback, errcallback);
	},
	getAutoLogin : function(callback, errcallback) {
		var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "getAutoLogin", jsonString,
				callback, errcallback);
	},
	getBusPosByRouteId : function(routeId, callback, errcallback) {
		var jsonString = "{\"routeId\":\"" + routeId + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "getBusPosByRouteId", jsonString,
				callback, errcallback);
	},
	makeBarcode : function(data, width, height, callback, errcallback) {
		var jsonString = "{\"data\":\"" + data + "\", \"width\":\"" + width + "\", \"height\":\"" + height + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "makeBarcode", jsonString,
				callback, errcallback);
	},
	goMain : function(callback, errcallback) {
		var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "goMain", jsonString,
				callback, errcallback);
	},
	goMain2 : function(targetSection, callback, errcallback) {
		var jsonString = "{\"targetSection\":\"" + targetSection + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "goMain2", jsonString,
				callback, errcallback);
	},
	showMap : function(title, url, extData, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\", \"extData\":" + extData + "}";
		return BaseHandler.callNative(MYAPI.NAME, "showMap", jsonString,
				callback, errcallback);
	},
	showReply : function(title, url, extData, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\", \"extData\":" + extData + "}";
		return BaseHandler.callNative(MYAPI.NAME, "showReply", jsonString,
				callback, errcallback);
	},
	setLogin : function(isLoggedIn, callback, errcallback) {
    var jsonString = "{\"isLoggedIn\":\"" + isLoggedIn + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "setLogin", jsonString,
				callback, errcallback);
	},
    startUpmp : function(title, inputParam, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"inputParam\":" + inputParam + "}";
		return BaseHandler.callNative(MYAPI.NAME, "startUpmp", jsonString,
				callback, errcallback);
	},
	setUpmpStatus : function(title, status, outParam, callback, errcallback) {
	  var jsonString = "{\"title\":\"" + title + "\", \"status\":\"" + status + "\", \"outParam\":" + outParam + "}";
		return BaseHandler.callNative(MYAPI.NAME, "setUpmpStatus", jsonString,
				callback, errcallback);
	},
	closeUpmp : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "closeUpmp", jsonString,
				callback, errcallback);
	},
	showDetail : function(title, url, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "showDetail", jsonString,
				callback, errcallback);
	},
	showBeacon : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "showBeacon", jsonString,
				callback, errcallback);
	},
	findUserIdNoti : function(message, cancelText, cancelUrl, okText, okUrl, callback, errcallback) {
    var jsonString = "{\"message\":\"" + message + "\", \"cancelText\":\"" + cancelText + "\", \"cancelUrl\":\"" + cancelUrl  + "\", \"okText\":\"" + okText + "\", \"okUrl\":\"" + okUrl + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "findUserIdNoti", jsonString,
				callback, errcallback);
	},
	getAppVerifyData : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "getAppVerifyData", jsonString,
				callback, errcallback);
	},
	getPromotionData : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "getPromotionData", jsonString,
				callback, errcallback);
	},
	showDetail2 : function(title, url, extData, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\", \"extData\":" + extData + "}";
		return BaseHandler.callNative(MYAPI.NAME, "showDetail2", jsonString,
				callback, errcallback);
	},
	showLogin : function(title, url, extData, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\", \"extData\":" + extData + "}";
		return BaseHandler.callNative(MYAPI.NAME, "showLogin", jsonString,
				callback, errcallback);
	},
	closeLogin : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "closeLogin", jsonString,
				callback, errcallback);
	},
	isLoginActivity : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "isLoginActivity", jsonString,
				callback, errcallback);
	},
	getPicture : function(count, imageWidth, imageHeight, thumbWidth, thumbHeight, useDefault, callback, errcallback) {
    var jsonString = "{\"count\":\"" + count + "\", \"imageWidth\":\"" + imageWidth + "\", \"imageHeight\":\"" + imageHeight + "\", \"thumbWidth\":\"" + thumbWidth + "\", \"thumbHeight\":\"" + thumbHeight + "\", \"useDefault\":\"" + useDefault + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "getPicture", jsonString,
				callback, errcallback);
	},
	uploadPicture : function(action,datas, callback, errcallback) {
    var jsonString = "{\"action\":\"" + action + "\", \"datas\":" + datas + "}";
		return BaseHandler.callNative(MYAPI.NAME, "uploadPicture", jsonString,
				callback, errcallback);
	},
	checkLocationService : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "checkLocationService", jsonString,
				callback, errcallback);
	},
	reciprocalReplyReg : function(serviceId, contentsId, callback, errcallback) {
    var jsonString = "{\"serviceId\":\"" + serviceId + "\", \"contentsId\":\"" + contentsId + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "reciprocalReplyReg", jsonString,
				callback, errcallback);
	},
	reciprocalReplyCommentReg : function(seqNo, callback, errcallback) {
    var jsonString = "{\"seqNo\":\"" + seqNo + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "reciprocalReplyCommentReg", jsonString,
				callback, errcallback);
	},
	dialTo2 : function(datas, callback, errcallback) {
    var jsonString = "{\"datas\":" + datas + "}";
		return BaseHandler.callNative(MYAPI.NAME, "dialTo2", jsonString,
				callback, errcallback);
	},
	showDetail3 : function(title, url, extData, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\", \"extData\":" + extData + "}";
		return BaseHandler.callNative(MYAPI.NAME, "showDetail3", jsonString,
				callback, errcallback);
	},
	downloadPdfFile : function(url, fileName, callback, errcallback) {
    var jsonString = "{\"url\":\"" + url + "\", \"fileName\":\"" + fileName + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "downloadPdfFile", jsonString,
				callback, errcallback);
	},
	searchMap : function(title, url, extData, callback, errcallback) {
    var jsonString = "{\"title\":\"" + title + "\", \"url\":\"" + url + "\", \"extData\":" + extData + "}";
		return BaseHandler.callNative(MYAPI.NAME, "searchMap", jsonString,
				callback, errcallback);
	},
	setSearchMapResult : function(outParam, callback, errcallback) {
    var jsonString = "{\"outParam\":" + outParam + "}";
		return BaseHandler.callNative(MYAPI.NAME, "setSearchMapResult", jsonString,
				callback, errcallback);
	},
	closeWindow : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "closeWindow", jsonString,
				callback, errcallback);
	},
	checkLocationServicePermitted : function(callback, errcallback) {
    var jsonString = "{}";
		return BaseHandler.callNative(MYAPI.NAME, "checkLocationServicePermitted", jsonString,
				callback, errcallback);
	}
	,
	setLocationServicePermitted : function(isPermitted, callback, errcallback) {
    var jsonString = "{\"isPermitted\":\"" + isPermitted + "\"}";
		return BaseHandler.callNative(MYAPI.NAME, "setLocationServicePermitted", jsonString,
				callback, errcallback);
	}
};