﻿/*******************************************************************************
 * utilities
 ******************************************************************************/
function isArray(o) {
	return Object.prototype.toString.call(o) == '[object Array]';
}

function isFunction(x) {
	switch (typeof x) {
	case "function":
		return true;
	case "object":
		if ("function" !== typeof x.toString)
			return (x + "").match(/function/) !== null;
		else
			return Object.prototype.toString.call(x) === "[object Function]";
		break;
	default:
		return false;
	}
}
